[TG PATCH] depend: Fix help listing

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



Without this `tg help depend` causes all kinds of trouble such as adding
empty lines to .topdeps.

Signed-off-by: Jonas Fonseca <fonseca@xxxxxxx>

---
 tg-depend.sh |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/tg-depend.sh b/tg-depend.sh
index af78808..498eec4 100644
--- a/tg-depend.sh
+++ b/tg-depend.sh
@@ -9,6 +9,10 @@ name=
 ## Parse options
 
 subcmd="$1"; shift
+[ "$subcmd" = "-h" ] && {
+	echo "Usage: tg [...] depend add NAME" >&2
+	exit 1
+}
 [ "$subcmd" = "add" ] || die "unknown subcommand ($subcmd)"
 
 while [ -n "$1" ]; do
-- 
tg: (212809f..) jf/depend-help (depends on: master)

-- 
Jonas Fonseca
--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at  http://vger.kernel.org/majordomo-info.html

[Index of Archives]     [Linux Kernel Development]     [Gcc Help]     [IETF Annouce]     [DCCP]     [Netdev]     [Networking]     [Security]     [V4L]     [Bugtraq]     [Yosemite]     [MIPS Linux]     [ARM Linux]     [Linux Security]     [Linux RAID]     [Linux SCSI]     [Fedora Users]

  Powered by Linux